﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using Syncfusion.SfChart.XForms;
using Xamarin.Forms;

namespace Chart_GettingStarted
{
    public partial class DoughnutSample : ContentPage
    {
        public DoughnutSample()
        {
            InitializeComponent();

        }

    }

    public class ViewModel
    {
        public List<Color> Colors { get; set; }

        public ObservableCollection<Person> DataPoints { get; set; }

        public double width { get; set; }
        public double height { get; set; }

        public ViewModel()
        {
            DataPoints = new ObservableCollection<Person>();

            DataPoints.Add(new Person() { Name = "David", Value = 165 });
            DataPoints.Add(new Person() { Name = "John",Value = 155 });
            DataPoints.Add(new Person() { Name = "Alex", Value = 135 });
            DataPoints.Add(new Person() { Name = "Steve", Value = 175 });

            width = 400;
            height = 500;
        }
    }
    public class Person
    {
        public string Name { get; set; }

        public double Value { get; set; }

    }
}